Client A P I
Create account API key
Creates a client API key for the authenticated user and returns the secret token once.
POST
/api/client/account/api-keysAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/account/api-keys" \ -H "Content-Type: application/json" \ -d '{ "description": "A short description." }'{ "object": "api_key", "attributes": { "identifier": "ptla_GWGCd8Mb1Mp", "description": "Test Function Key", "allowed_ips": [ "127.0.0.1" ], "last_used_at": "string", "created_at": "2026-09-22T14:45:23+00:00" }, "meta": { "secret_token": "ptlc_1234567890abcdef1234567890abcdef1234567890abcdef" }}